### Type parameters

- #### T

### Hierarchy

- Queue

### Implemented by

- MutableQueue

## Index

### Methods

- dequeue
- enqueue
- isEmpty
- size

## Methods

### dequeue

- dequeue(): T

- - Defined in lib/audio/player/queue/Queue.ts:7

  #### Returns T

### enqueue

- enqueue(item: T): void

- - Defined in lib/audio/player/queue/Queue.ts:5

  #### Parameters

  - ##### item: T

  #### Returns void

### isEmpty

- isEmpty(): boolean

- - Defined in lib/audio/player/queue/Queue.ts:9

  #### Returns boolean

### size

- size(): number

- - Defined in lib/audio/player/queue/Queue.ts:11

  #### Returns number

Generated using TypeDoc